Bug 71585 - [RFE] Create `group' packages to assist installing large components (X, KDE, Gnome, etc)
[RFE] Create `group' packages to assist installing large components (X, KDE, ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 09:17 EDT by Mike MacCana
Modified: 2015-01-07 18:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 16:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2002-08-15 09:17:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Its possible to create RPM files which don't contain any files, just dependencies on other packages. This can be used to create `group' packages whose dependencies describe some piece of functionality provided by a number of packages - for example, a `kde' package could depend on kdebase, kdelibs, kdeadmin, etc.

When used in conjunction with up2date, users could then run an `up2date kde' to install all of KDE, instead of reinstalling the OS (what Red Hat's documentation currently recommends users do) or trawling through the comps file from the CD.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Install a system without kde
2.Attempt to install all of KDE easily

	

Additional info:
Comment 1 Adrian Likins 2004-04-05 16:58:58 EDT
Current up2date (fedora) supports using "comps" and globs

aka "up2date kde*"

or `up2date "@KDE Workstation"

Note You need to log in before you can comment on or make changes to this bug.